Package gbp :: Package scripts :: Module pq

[hide private]
[frames] | no frames]

# Module pq

manage patches in a patch queue

Functions | [hide private]

generate_patches(repo, start, end, outdir, options) Generate patch files from git |

export_patches(repo, branch, options) Export patches from the pq branch into a patch series |

tuple

safe_patches(series) Safe the current patches in a temporary directory below .git/ |

import_quilt_patches(repo, branch, series, tries, force) apply a series of quilt patches in the series file 'series' to branch the patch-queue branch for 'branch' |

rebase_pq(repo, branch) |

switch_pq(repo, current) Switch to patch-queue branch if on base branch and vice versa |

parse_args(argv) |

main(argv) |

Variables | [hide private]

| PATCH_DIR = ``'``debian/patches/``'``
| SERIES_FILE = ``'``debian/patches/series``'``
| __package__ = ``'``gbp.scripts``'``

Function Details | [hide private]

### safe_patches(series)

Safe the current patches in a temporary directory below .git/

Parameters:
  - `series` - path to series file
Returns: tuple
  tmpdir and path to safed series file

### import_quilt_patches(repo, branch, series, tries, force)

apply a series of quilt patches in the series file 'series' to branch the patch-queue branch for 'branch'

Parameters:
  - `repo` - git repository to work on
  - `branch` - branch to base pqtch queue on @param series; series file to read patches from
  - `tries` - try that many times to apply the patches going back one commit in the branches history after each failure.
  - `force` - import the patch series even if the branch already exists